import { jsx } from "react/jsx-runtime";
import { TokenHBTC as TokenHBTC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHBTC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HBTC", "data-name": "TokenHBTC", ...props, children: /* @__PURE__ */ jsx(TokenHBTC$1, { variant }) });
  }
);
TokenHBTC.displayName = "TokenHBTC";
Object.assign(TokenHBTC, { isGdsIcon: true });
export {
  TokenHBTC
};
